<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.miaxis.news.mapper.NewsInfoMapper">

    <resultMap type="NewsInfo" id="NewsInfoResult">
        <result property="id"    column="id"    />
        <result property="title"    column="title"    />
        <result property="author"    column="author"    />
        <result property="source"    column="source"    />
        <result property="isTop"    column="is_top"    />
        <result property="content"    column="content"    />
        <result property="img"    column="img"    />
        <result property="type"    column="type"    />
        <result property="readNum"    column="read_Num"    />
        <result property="remark"    column="remark"    />
        <result property="removed"    column="removed"    />
        <result property="createBy"    column="create_by"    />
        <result property="createTime"    column="create_time"    />
        <result property="updateBy"    column="update_by"    />
        <result property="updateTime"    column="update_time"    />
    </resultMap>

    <sql id="selectNewsInfoVo">
        select id, title, author, source, is_top, content, img, type, read_Num, remark, removed, create_by, create_time, update_by, update_time from news_info
    </sql>

    <select id="selectNewsInfoList" parameterType="NewsInfo" resultMap="NewsInfoResult">
        <include refid="selectNewsInfoVo"/>
        <where>
            <if test="title != null  and title != ''"> and title = #{title}</if>
            <if test="author != null  and author != ''"> and author = #{author}</if>
            <if test="source != null  and source != ''"> and source = #{source}</if>
            <if test="isTop != null "> and is_top = #{isTop}</if>
            <if test="content != null  and content != ''"> and content = #{content}</if>
            <if test="img != null  and img != ''"> and img = #{img}</if>
            <if test="type != null "> and type = #{type}</if>
            <if test="readNum != null "> and read_Num = #{readNum}</if>
            <if test="removed != null "> and removed = #{removed}</if>
        </where>
        order by `create_time` desc
    </select>

    <select id="selectNewsInfoById" parameterType="Long" resultMap="NewsInfoResult">
        <include refid="selectNewsInfoVo"/>
        where id = #{id}
    </select>

    <insert id="insertNewsInfo" parameterType="NewsInfo" useGeneratedKeys="true" keyProperty="id">
        insert into news_info
        <trim prefix="(" suffix=")" suffixOverrides=",">
            <if test="title != null">title,</if>
            <if test="author != null">author,</if>
            <if test="source != null">source,</if>
            <if test="isTop != null">is_top,</if>
            <if test="content != null">content,</if>
            <if test="img != null">img,</if>
            <if test="type != null">type,</if>
            <if test="readNum != null">read_Num,</if>
            <if test="remark != null">remark,</if>
            <if test="removed != null">removed,</if>
            <if test="createBy != null">create_by,</if>
            <if test="createTime != null">create_time,</if>
            <if test="updateBy != null">update_by,</if>
            <if test="updateTime != null">update_time,</if>
         </trim>
        <trim prefix="values (" suffix=")" suffixOverrides=",">
            <if test="title != null">#{title},</if>
            <if test="author != null">#{author},</if>
            <if test="source != null">#{source},</if>
            <if test="isTop != null">#{isTop},</if>
            <if test="content != null">#{content},</if>
            <if test="img != null">#{img},</if>
            <if test="type != null">#{type},</if>
            <if test="readNum != null">#{readNum},</if>
            <if test="remark != null">#{remark},</if>
            <if test="removed != null">#{removed},</if>
            <if test="createBy != null">#{createBy},</if>
            <if test="createTime != null">#{createTime},</if>
            <if test="updateBy != null">#{updateBy},</if>
            <if test="updateTime != null">#{updateTime},</if>
         </trim>
    </insert>

    <update id="updateNewsInfo" parameterType="NewsInfo">
        update news_info
        <trim prefix="SET" suffixOverrides=",">
            <if test="title != null">title = #{title},</if>
            <if test="author != null">author = #{author},</if>
            <if test="source != null">source = #{source},</if>
            <if test="isTop != null">is_top = #{isTop},</if>
            <if test="content != null">content = #{content},</if>
            <if test="img != null">img = #{img},</if>
            <if test="type != null">type = #{type},</if>
            <if test="readNum != null">read_Num = #{readNum},</if>
            <if test="remark != null">remark = #{remark},</if>
            <if test="removed != null">removed = #{removed},</if>
            <if test="createBy != null">create_by = #{createBy},</if>
            <if test="createTime != null">create_time = #{createTime},</if>
            <if test="updateBy != null">update_by = #{updateBy},</if>
            <if test="updateTime != null">update_time = #{updateTime},</if>
        </trim>
        where id = #{id}
    </update>

    <delete id="deleteNewsInfoById" parameterType="Long">
        delete from news_info where id = #{id}
    </delete>

    <delete id="deleteNewsInfoByIds" parameterType="String">
        delete from news_info where id in
        <foreach item="id" collection="array" open="(" separator="," close=")">
            #{id}
        </foreach>
    </delete>

</mapper>
